#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 cabal-install-parsers
version:              0.4
visibility:           public
id:                   cabal-install-parsers-0.4-5Ts6oZnn7TVAavsRwAgs4A
key:                  cabal-install-parsers-0.4-5Ts6oZnn7TVAavsRwAgs4A
license:              GPL-2.0-or-later AND BSD-3-Clause
maintainer:           hvr@gnu.org, oleg.grenrus@iki.fi
author:               Herbert Valerio Riedel, Oleg Grenrus
homepage:             https://haskell-ci.rtfd.org/
synopsis:             Utilities to work with cabal-install files
description:
    @cabal-install-parsers@ provides parsers for @cabal-install@ files:
    @cabal.project@ ("Cabal.Project"),
    @cabal.config@ ("Cabal.Config"),
    @01-index.tar@ ("Cabal.Index");
    as well as some other utilities.

    The feature set is mainly motivated by the needs of @haskell-ci@ package.
    The parsed data is not complete, functionality is added on demand.

category:             Development
abi:                  54b627c97f22d024c92b07f9ccdc1b22
exposed:              True
exposed-modules:
    Cabal.Config Cabal.Index Cabal.Optimization Cabal.Package
    Cabal.Parse Cabal.Project Cabal.SourceRepo

hidden-modules:       Cabal.Internal.Glob Cabal.Internal.Newtypes
import-dirs:          /usr/lib/ghc-8.10.5/site-local/cabal-install-parsers-0.4
library-dirs:         /usr/lib/ghc-8.10.5/site-local/cabal-install-parsers-0.4
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.5/cabal-install-parsers-0.4

hs-libraries:         HScabal-install-parsers-0.4-5Ts6oZnn7TVAavsRwAgs4A
depends:
    Cabal-3.2.1.0 aeson-1.5.6.0-6uunGgFAYkLL5zoDUTK2GY base-4.14.2.0
    base16-bytestring-1.0.1.0-1hJhTC4ftcxEBVwj2vhRFK binary-0.8.8.0
    binary-instances-1.0.1-Je5oRJgXow2CLGgRf0mHBn bytestring-0.10.12.0
    containers-0.6.4.1
    cryptohash-sha256-0.11.102.0-1gR1zrinDGc9cDN66YfLbR deepseq-1.4.4.0
    directory-1.3.6.0 filepath-1.4.2.1
    lukko-0.1.1.3-I6bb2GLsXncGgJH9xbigDv
    network-uri-2.6.4.1-AJEy95J8Z3N4HoBtLbmjVO parsec-3.1.14.0
    pretty-1.1.3.6 tar-0.5.1.1-3BHZnOVLCAEhdQMv0Q6MU text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-cabal-install-parsers/html/cabal-install-parsers.haddock

haddock-html:         /usr/share/doc/haskell-cabal-install-parsers/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

